%define upstream_name    Furl
%define upstream_version 3.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Response object for Furl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Parser::XS) >= 0.110.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 2.110.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Furl is yet another HTTP client library. LWP is the de facto standard HTTP
client for Perl5, but it is too slow for some critical jobs, and too
complex for weekend hacking. Furl resolves these issues. Enjoy it!

This library is an *beta* software. Any API may change without notice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.140.0-3.mga10
+ Revision: 2207174
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.140.0-2.mga9
+ Revision: 1814533
- Mageia 9 Mass Rebuild

* Tue May 18 2021 tv <tv> 3.140.0-1.mga9
+ Revision: 1725379
- update to 3.14

* Wed Feb 12 2020 umeabot <umeabot> 3.130.0-4.mga8
+ Revision: 1504548
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.130.0-3.mga7
+ Revision: 1283920
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 3.130.0-2.mga7
+ Revision: 1164437
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 3.130.0-1.mga7
+ Revision: 1160062
- new version 3.13

* Sun Jun 19 2016 pterjan <pterjan> 3.80.0-3.mga6
+ Revision: 1027643
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.80.0-2.mga6
+ Revision: 969185
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 3.80.0-1.mga6
+ Revision: 864361
- update to 3.08

* Sat Jul 04 2015 sander85 <sander85> 3.70.0-1.mga6
+ Revision: 850090
- update to 3.07

* Wed Oct 15 2014 umeabot <umeabot> 3.30.0-3.mga5
+ Revision: 742627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.30.0-2.mga5
+ Revision: 684807
- Mageia 5 Mass Rebuild

* Thu Jul 10 2014 sander85 <sander85> 3.30.0-1.mga5
+ Revision: 651037
- update to 3.03

* Tue Mar 25 2014 jquelin <jquelin> 3.20.0-1.mga5
+ Revision: 608354
- update to 3.02

* Mon Feb 24 2014 jquelin <jquelin> 3.10.0-1.mga5
+ Revision: 596260
- update to 3.01

* Sat Feb 08 2014 sander85 <sander85> 3.0.0-1.mga5
+ Revision: 585887
- update to 3.00
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 sander85 <sander85> 2.190.0-1.mga4
+ Revision: 472373
- update to 2.19

* Thu Aug 08 2013 sander85 <sander85> 2.180.0-1.mga4
+ Revision: 464592
- update to 2.18

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 367514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 342189
- update to 1.02

* Tue Nov 06 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 315064
- update to 1.00

* Wed Oct 17 2012 jquelin <jquelin> 0.420.0-1.mga3
+ Revision: 307571
- update to 0.42

* Wed Sep 26 2012 jquelin <jquelin> 0.410.0-1.mga3
+ Revision: 298004
- update to 0.41

* Tue Jun 05 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 254968
- update to 0.40

* Fri Oct 14 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 154771
- update to 0.38
- update to 0.37
- update to 0.35
- update to 0.34

* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116642
- imported package perl-Furl


* Thu Jun 30 2011 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
